[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.Create

Constructor for the class instance.

## Declaration

Source position: forms.pp line 1597

`public constructor TApplication.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | The Owner object that invoked this instance of TApplication.

## Description

Create is the overridden constructor for the class instance.

It ensures that the LCL is configured to use the private WndProc method to handle messages dispatched for the application instance.

Create allocates resources needed in the class instance, and sets the default values for properties. Event handler routines implemented in TApplication are assigned as needed.

Create calls the inherited constructor prior to exiting from the method.

## See also

TComponent.Create